%define upstream_name    HTML-RewriteAttributes
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Concise attribute rewriting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/HTML-RewriteAttributes
Source0:    https://cpan.metacpan.org/authors/id/S/SA/SARTAK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(URI)
BuildArch:  noarch

# rpm doesn't catch this
Requires:   perl(HTML::Parser)
%description
HTML::RewriteAttributes is designed for simple yet powerful HTML attribute
rewriting.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.60.0-1.mga10
+ Revision: 2141841
- update to 0.06

* Mon Mar 28 2022 umeabot <umeabot> 0.50.0-12.mga9
+ Revision: 1830124
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-11.mga8
+ Revision: 1504655
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-10.mga7
+ Revision: 1283970
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.50.0-9.mga7
+ Revision: 1164823
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.50.0-8.mga7
+ Revision: 1159034
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1028266
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 944211
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 746853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 684956
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 368077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 315073
- update to 0.05

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 29585
- mageia rebuild
- imported package perl-HTML-RewriteAttributes

